import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class IconComponent implements OnInit {
    private renderer;
    private document;
    private el;
    icon: string;
    iconClass: string;
    fill: string;
    strokeWidth: number;
    strokeColor: string;
    size: string;
    iconPath: string;
    constructor(renderer: Renderer2, document: Document, el: ElementRef);
    ngOnInit(): void;
    getFormattedColor(color: string): string;
    getIconPath(): string;
    private injectSVG;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconComponent, "ct-icon", never, { "icon": { "alias": "icon"; "required": false; }; "iconClass": { "alias": "iconClass"; "required": false; }; "fill": { "alias": "fill"; "required": false; }; "strokeWidth": { "alias": "strokeWidth"; "required": false; }; "strokeColor": { "alias": "strokeColor"; "required": false; }; "size": { "alias": "size"; "required": false; }; }, {}, never, never, true, never>;
}
